import Vue from 'vue'
import Vuex from 'vuex'
// 第三方插件
import createLogger from 'vuex/dist/logger'
// modules
import nav from './modules/nav'

Vue.use(Vuex)

const debug = process.env.NODE_ENV !== 'production' // 是生产环境还是开发环境
// 导出 store 对象
export default new Vuex.Store({
  modules: {
    nav
  },
  strict: debug,
  plugins: debug ? [createLogger()] : [] // 在开发环境下，配置日志插件。
})
