var dtime = '_deadtime'
function put (k, v, t) {
  swan.setStorageSync(k, v)
  var seconds = parseInt(t)
  if (seconds > 0) {
    var timestamp = Date.parse(new Date())
    timestamp = timestamp / 1000 + seconds
    swan.setStorageSync(k + dtime, timestamp + '')
  } else {
    swan.removeStorageSync(k + dtime)
  }
}

function get (k, def) {
  var deadtime = parseInt(swan.getStorageSync(k + dtime))
  if (deadtime) {
    if (parseInt(deadtime) < Date.parse(new Date()) / 1000) {
      if (def) {
        return def
      } else {
        return
      }
    }
  }
  var res = swan.getStorageSync(k)
  if (res) {
    return res
  } else {
    return def
  }
}

function remove (k) {
  swan.removeStorageSync(k)
  swan.removeStorageSync(k + dtime)
}

function clear () {
  swan.clearStorageSync()
}
const storage = {
  put: put,
  get: get,
  remove: remove,
  clear: clear
}
module.exports = storage
